<?php
///////////////////////////////////////////////////////////
// error-handler.php.inc
///////////////////////////////////////////////////////////
//
// A simple error handling function.  Based off of the
// example provided at php.net.
//
// Version:    1.0
// Written by: Justin Zipkin 
//             justin.zipkin@db.com
//
// Modified:   07.11.2005 (jz)
//
///////////////////////////////////////////////////////////
error_reporting(127);

set_error_handler("TaskmanErrorHandler");

function TaskmanErrorHandler($errno, $errmsg, $filename, $linenum, $vars) {
  // Timestamp for error
  $dt = date("d/m/Y H:i:s (T)");
  
  // define an assoc array of error string
  // in reality the only entries we should
  // consider are E_WARNING, E_NOTICE, E_USER_ERROR,
  // E_USER_WARNING and E_USER_NOTICE
  $errortype = array (
               E_ERROR          => "Error",
               E_WARNING        => "Warning",
               E_PARSE          => "Parsing Error",
               E_NOTICE          => "Notice",
               E_CORE_ERROR      => "Core Error",
               E_CORE_WARNING    => "Core Warning",
               E_COMPILE_ERROR  => "Compile Error",
               E_COMPILE_WARNING => "Compile Warning",
               E_USER_ERROR      => "User Error",
               E_USER_WARNING    => "User Warning",
               E_USER_NOTICE    => "User Notice",
               E_STRICT          => "Runtime Notice"
  );
  
  // set of errors for which a var trace will be saved
  //$user_errors = array(E_USER_ERROR, E_USER_WARNING, E_USER_NOTICE);
  $user_errors=array();
  
  $err = "Timestamp:     " . $dt . "\n";
  $err .= "Error Number:  " . $errno . "\n";
  $err .= "Error Type:    " . $errortype[$errno] . "\n";
  $err .= "Error Message: " . $errmsg . "\n";
  $err .= "File:          " . $filename . "\n";
  $err .= "Line           " . $linenum . "\n";

  if (in_array($errno, $user_errors)) {
    $err .= "Vartrace:    " . wddx_serialize_value($vars, "Variables") . "\n";
  }
  
  $err .= "\n";
   
  // for testing
  #echo $err;

   // save to the error log, and e-mail me if there is a critical user error
   error_log($err, 3, "C:/php/logs/taskman_cal.log");
   if ($errno == E_USER_ERROR) {
       //mail("phpdev@example.com", "Critical User Error", $err);
   }
}
?>
