<?php
define('TITLE','TaskMan Event Calendar: Generate Report');

include('includes/header.php.inc');

$calendar=new calendar($date);
$today=new day($date);
$tasks=$today->getTasks();

$calendar->drawCalendar();
?>
<h3 align="center">Generate Report</h3>

<p align="center"><b><i>Total <? print count($tasks) ?> tasks running on <? print date('l, j M Y',$today->getDateStamp()) ?></i></b></p>

<p align="center"><font size="-1">[<a class="miniselect" href="/?date=<?=$date?>">Standard View</a>][<a class="miniselect" href="/viewDay.php?date=<?=$date?>">View Details</a>]</font></p>


<p><a href="csv.php?date=<?=$date?>">CSV</a> - This will generate a CSV (Comma Seperated Value) file of all the jobs on a given day. 
You can then load this file into an application such as Microsoft Excel and view a tabulated version of the information with all of
the job information that is available.</p>
<p><a href="xml.php?date=<?=$date?>">XML</a> - This will generate an XML (eXtensible Markup Language) file of all the jobs on a given
day.  The XML file will be provided in an easy to understand format and include an embeded DTD.  As of now there is no XSL schema 
defined.</p>
<p><a href="msproject.php?date=<?=$date?>&type=0">Gannt (Time)</a> -  This will generate an XML file conforming to the Microsoft 
Office Project 2003 XML Data Interchange Schema.  The produced XML file is easily imported into Microsoft Project for viewing as a 
gantt chart.  Due to limitiations in the way Microsoft exports their project data into XML format there are a couple of recommended 
steps after downloading this file, see the Gannt note below.  This particular version of a Gannt chart will accurately depict the time
that jobs run, but not express job dependencies.</p>
<p><a href="msproject.php?date=<?=$date?>&type=1">Gannt (Dependencies)</a> -  This will also generate an XML file conforming to the 
Microsoft Office Project 2003 XML Data Interchange Schema.  The only diference between this option and the <i>Gannt (Time)</i> option 
is that this will not accurately depict job times, but will express a chain of job dependencies.</p>
<p><b>Other Reports</b> - Also included with this application is the ability to create a gannt chart based on a single task.  This will
traverse all task dependencies in both directions.  That is, all tasks that precede a particular task and tasks that follow that task.
This functionality is accessable from the detailed task information page.  To access this, click on <i>View details</i>, and then choose
a task.</p>
<br /><br />
<p><b>Steps for viewing XML files in Microsoft Project:</b></p>
<ol>
<li>In Microsoft Project click File->Open, navigate to the acquired XML file and click Open.
<li>The import wizard should appear on the screen.  Choose "As a new project" and click Finish.
<li>The default view in Project will be a 2-Tier Gantt chart by week.  To most efficiently view a day of Taskman
tasks, right click the top of the Gannt chart and select Timescale.  Under the "Middle Tier" tab change "Show" to
"One Tier", and "Units" to "Hours".  You can also select a count other than 1 to compress the data into a smaller area. 
For example if you wanted your chart to be in intervals of 3 hours you could select "Hours" and change the count to "3".
</ol>
<p>
<?
include ('includes/footer.php.inc');
?>
